require 'spec_helper'

describe RD3 do

  it 'should be configured' do
    # NOTE: the spec_helper.rb file pre-configures the rspec tests
    environment = :dev
    config_file_directory = "myapp/configs"

    RD3.configure(nil)
    RD3.config.should be_nil
    RD3.configure(:environment => environment, :config_file_directory => config_file_directory)
    RD3.config.should_not be_nil
    RD3.config.environment.should eq(environment)
    RD3.config.config_file_directory.should eq(config_file_directory)
  end

end
